Attribute VB_Name = "Symbol"
'/*
'WordBastard - rich text editor
'Symbol.bas - create symbol list & paste symbol
'Copyright  (C) 1998-2000 Hugues Johnson
'
'This program is free software; you can redistribute it and/or
'modify it under the terms of the GNU General Public License
'as published by the Free Software Foundation; either version 2
'of the License, or (at your option) any later version.
'
'This program is distributed in the hope that it will be useful,
'but WITHOUT ANY WARRANTY; without even the implied warranty of
'MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See
'the GNU General Public License for more details.
'
'You should have received a copy of the GNU General Public License
'along with this program; if not, write to the Free Software
'Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
'*/

Public Sub CreateSymbolList(lst_Symbols As Control)
    Dim q As Integer

    On Error GoTo errCreateSymbolList
    
    If (TypeOf lst_Symbols Is ListBox) Then
        For q = 33 To 47
            lst_Symbols.AddItem Chr$(q)
        Next q
        For q = 58 To 64
            lst_Symbols.AddItem Chr$(q)
        Next q
        For q = 91 To 96
            lst_Symbols.AddItem Chr$(q)
        Next q
        For q = 123 To 126
            lst_Symbols.AddItem Chr$(q)
        Next q
        For q = 161 To 255
            lst_Symbols.AddItem Chr$(q)
        Next q
    End If

exitSub:
    Exit Sub

errCreateSymbolList:
    ErrorHandler Err, "CreateSymbolList"
    Resume exitSub

End Sub

Public Sub InsertSymbol(Symbol As String, rtf As Control)

    On Error GoTo errInsertSymbol

    If (Len(Symbol) <> 1) Then
        Exit Sub
    End If
    
    If ((TypeOf rtf Is RichTextBox) Or (TypeOf rtf Is TextBox)) Then
        rtf.SelText = Symbol
    End If

exitSub:
    Exit Sub

errInsertSymbol:
    ErrorHandler Err, "InsertSymbol"
    Resume exitSub

End Sub
