Attribute VB_Name = "Fortune"
'/*
'WordBastard - rich text editor
'Fortune.bas - retrieves a fortune
'Copyright  (C) 1998-2000 Hugues Johnson
'
'This program is free software; you can redistribute it and/or
'modify it under the terms of the GNU General Public License
'as published by the Free Software Foundation; either version 2
'of the License, or (at your option) any later version.
'
'This program is distributed in the hope that it will be useful,
'but WITHOUT ANY WARRANTY; without even the implied warranty of
'MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See
'the GNU General Public License for more details.
'
'You should have received a copy of the GNU General Public License
'along with this program; if not, write to the Free Software
'Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
'*/
'/* 2/7/99 A.D.
' Yeah, yeah, I already know that this *should* have been done
' with an array or a text file or whatever. Even though I don't
' really care if you agree with me or not, here are my reasons for
' writing the GetFortune() routine the way I did....
' 1) An array would waste memory because VB programs aren't
'     famous for their ability to free up memory after it's not needed.
' B) It was easier to code like this.
' 3) If I used a text file people would see it on their hard drive and
'     either delete it or read the whole thing, eliminating all the fun.
' D) Using an access database is just plain dumb.
' 5) Whenever I bother writing a WordBastard.dll I'll probably re-write
'     this. Until then.... oh you already know.
'
' Oh yeah, one more thing....
' Yes, these are all from real fortune cookies. I'm not very creative.
'*/

Public Function GetFortune() As String
    Dim q As Integer

    Randomize Timer

    GetFortune = vbNullString

    q = Int((27 * Rnd) + 1)

    Select Case (q)
        Case 1: GetFortune = "You will inherit some money or a small piece of land."
        Case 2: GetFortune = "Your life will be happy and peaceful."
        Case 3: GetFortune = "Now is the time to try something new."
        Case 4: GetFortune = "You will soon be crossing the great waters."
        Case 5: GetFortune = "The time is right to make new friends."
        Case 6: GetFortune = "Wise men learn more from fools, than fools from the wise."
        Case 7: GetFortune = "A thrilling time is in your immediate future."
        Case 8: GetFortune = "You will witness a special ceremony."
        Case 9: GetFortune = "Good news will come to you from far away."
        Case 10: GetFortune = "You love sports, horses, and gambling but not to excess."
        Case 11: GetFortune = "You display the wonderful traits of charm and courtesy."
        Case 12: GetFortune = "Your long forgotten kindness to someone will bring a substantial sum of money."
        Case 13: GetFortune = "Don't be hasty, prosperity will knock on your door soon."
        Case 14: GetFortune = "Now is a good time to finish up old tasks."
        Case 15: GetFortune = "You will travel far and wide, both pleasure and business."
        Case 16: GetFortune = "Depart from the path which fate has you assigned."
        Case 17: GetFortune = "From now on your kindness will lead you to success."
        Case 18: GetFortune = "You love peace."
        Case 19: GetFortune = "Your happiness is intertwined with your outlook on life."
        Case 20: GetFortune = "You emerge victorious from the maze you've been traveling in."
        Case 21: GetFortune = "Keep your feet on the ground even though friends flatter you."
        Case 22: GetFortune = "You believe in the goodness of mankind."
        Case 23: GetFortune = "You will be singled out for promotion."
        Case 24: GetFortune = "Your emotional nature is strong and sensitive."
        Case 25: GetFortune = "You will never need to worry about a steady income."
        Case 26: GetFortune = "Find release from your cares, have a good time."
        Case 27: GetFortune = "You will conquer obstacles to achieve success."
    End Select
    
End Function
