Attribute VB_Name = "MCI32"
'/*
'WordBastard - rich text editor
'MCI32.bas - MCI32 routines
'Copyright  (C) 1998-2000 Hugues Johnson
'
'This program is free software; you can redistribute it and/or
'modify it under the terms of the GNU General Public License
'as published by the Free Software Foundation; either version 2
'of the License, or (at your option) any later version.
'
'This program is distributed in the hope that it will be useful,
'but WITHOUT ANY WARRANTY; without even the implied warranty of
'MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See
'the GNU General Public License for more details.
'
'You should have received a copy of the GNU General Public License
'along with this program; if not, write to the Free Software
'Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
'*/

Public Sub CreateInitialPlayList()

    WritePrivateProfileString "General", "ListCount", "0", App.Path & "\PlayList.ini"
    
End Sub

Public Function PlayListDataExists() As Boolean
    Dim fp As Integer
    
    On Error Resume Next
    
    fp = FreeFile
    
    If (Right$(App.Path, 1) = "\") Then
        Open App.Path & "PlayList.ini" For Input As #fp
    Else
        Open App.Path & "\PlayList.ini" For Input As #fp
    End If
    
    If (Err = 0) Then
        PlayListDataExists = True
    Else
        PlayListDataExists = False
        Err.Clear
    End If

    Close #fp

End Function

Public Sub OpenMMFile(mci As Control, dlg As Control)
    Dim FileName As String
    
    On Error GoTo errMMOpenFile
    
    If ((TypeOf mci Is MMControl) And (TypeOf dlg Is CommonDialog)) Then
        dlg.Filter = FILTER_SOUND
        dlg.ShowOpen
        FileName = dlg.FileName
        Select Case LCase$(Right$(FileName, 3))
            Case vbNullString:
                GoTo exitSub
            Case "mid":
                mci.DeviceType = "Sequencer"
                mci.FileName = FileName
            Case "wav"
                mci.FileName = FileName
        End Select
    End If
    
exitSub:
    Exit Sub

errMMOpenFile:
    If (Err.Number = cdlCancel) Then
        Err.Clear
    Else
        ErrorHandler Err, "OpenMMFile"
    End If
    Resume exitSub
        
End Sub



